Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dgbsv

scipy.linalg.lapack.dgbsv(kl, ku, ab, b[, overwrite_ab, overwrite_b]) = <fortran function dgbsv>

  Wrapper for `dgbsv`.

  Parameters:
    kl input int
    ku input int
    ab input rank-2 array(‘d’) with bounds (1 + 2 * kl + ku,n)
    b input rank-2 array(‘d’) with bounds (n,nrhs)
  Returns:
    lub rank-2 array(‘d’) with bounds (1 + 2 * kl + ku,n) and ab storage
    piv rank-1 array(‘i’) with bounds (n)
    x rank-2 array(‘d’) with bounds (n,nrhs) and b storage
    info int
  Other Parameters:
    overwrite_ab input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0